Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Request_Processing_Policy Class Reference

`#include <POA_Policies.h>`

Inheritance diagram for TAO_Request_Processing_Policy:

[legend]
Collaboration diagram for TAO_Request_Processing_Policy:

[legend]
List of all members.

## Public Methods
| TAO_Request_Processing_Policy (PortableServer::RequestProcessingPolicyValue value)
PortableServer::RequestProcessingPolicyValue | value (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::Policy_ptr | copy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
void | destroy (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
CORBA::PolicyType | policy_type (ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS) throw (CORBA::SystemException)
TAO_Cached_Policy_Type | _tao_cached_type (void) const
| Return the cached policy type for this policy. More...
TAO_Policy_Scope | _tao_scope (void) const
| Returns the scope at which this policy can be applied. See orbconf.h. More...
## Static Public Methods
CORBA::Policy_ptr | create (const CORBA::Any &val ACE_ENV_ARG_DECL)
| Helper method for the implementation of CORBA::ORB::create_policy. More...
## Protected Attributes
PortableServer::RequestProcessingPolicyValue | value_

## Constructor & Destructor Documentation

TAO_Request_Processing_Policy::TAO_Request_Processing_Policy | ( | PortableServer::RequestProcessingPolicyValue | value | ) |

## Member Function Documentation

TAO_Cached_Policy_Type TAO_Request_Processing_Policy::_tao_cached_type | ( | void |  | ) | const`[virtual]`

| Return the cached policy type for this policy. Reimplemented from CORBA::Policy.

TAO_Policy_Scope TAO_Request_Processing_Policy::_tao_scope | ( | void |  | ) | const`[virtual]`

| Returns the scope at which this policy can be applied. See orbconf.h. Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_Request_Processing_Policy::copy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)

| Reimplemented from CORBA::Policy.

CORBA::Policy_ptr TAO_Request_Processing_Policy::create | ( | const CORBA::Any &val | ACE_ENV_ARG_DECL | ) | `[static]`

| Helper method for the implementation of CORBA::ORB::create_policy.

void TAO_Request_Processing_Policy::destroy | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

CORBA::PolicyType TAO_Request_Processing_Policy::policy_type | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from CORBA::Policy.

PortableServer::RequestProcessingPolicyValue TAO_Request_Processing_Policy::value | ( | ACE_ENV_SINGLE_ARG_DECL_WITH_DEFAULTS |  | ) | throw (CORBA::SystemException)`[virtual]`

| Reimplemented from PortableServer::RequestProcessingPolicy.

## Member Data Documentation

PortableServer::RequestProcessingPolicyValue TAO_Request_Processing_Policy::value_`[protected]`

The documentation for this class was generated from the following files:

- POA_Policies.h
- POA_Policies.cpp